TRANSMISSION-REMOTE(1)

NAME
transmission-remote - a remote control utility for transmission-daemon(1) and transmission(1)

SYNOPSIS
transmission-remote [host:port | host | port] [-a filenames-or-URLs] [-as] [-AS] [-asd number] [-asu number] [-asc] [-ASC] [-b] [-c path | -C] [-d number | -D] [-er | -ep | -et] [-f] [-g files] [-gpr peers] [-G files] [-gsr ratio] [-GSR] [-h] [-i] [-l] [-m | -M] [-n user:pass] [-N netrc] [-o | -O] [-p port] [-ph files] [-pl files] [-pn files] [-pr peers] [-r] [-R] [-s | -S] [-sr ratio] [-SR] [-srd] [-si] [-st] [-t all | id | hash] [-td number] [-TD] [-tu number] [-TU] [-hl] [-HL] [-u number | -U] [-v] [-V] [-w download-dir] [-x | -X] [-pi]

DESCRIPTION
transmission-remote is a remote control utility for transmission(1) and transmission-daemon(1).

By default, transmission-remote connects to the transmission session at localhost:9091. Other sessions can be controlled by specifying a different host and/or port.

OPTIONS

-a --add filenames-or-URLs
    Add torrents to transmission.

-b --debug
    Enable debugging mode.

-as --alt-speed
    Use the alternate Limits.

-AS --no-alt-speed
    Don't use the alternate Limits.

-asd --alt-speed-downlimit limit
    Limit the alternate download speed to limit kilobytes per second.

-asu --alt-speed-uplimit limit
    Limit the alternate upload speed to limit kilobytes per second.

-asc --alt-speed-scheduler
    Use the scheduled on/off times.

-ASC --no-alt-speed-scheduler
    Don't use the scheduled on/off days and times.

--alt-speed-time-begin time
    Time to start using the alt speed limits (in hhmm).

--alt-speed-time-end time
    Time to stop using the alt speed limits (in hhmm).

--alt-speed-days days
    Set the number of days on which to enable the speed scheduler, using a list such as "2,4-6".

-c --incomplete-dir dir
    When adding new torrents, store their contents in directory until the torrent is done.

-C --no-incomplete-dir
    Don't store incomplete torrents in a different directory.

-d --downlimit limit
    Limit the global download speed to limit kilobytes per second.

-D --no-downlimit
    Remove the global download limit.

-er --encryption-required
    Encrypt all peer connections.

-ep --encryption-preferred
    Prefer encrypted peer connections.

-et --encryption-tolerated
    Prefer unencrypted peer connections.

-f --files
    Get a file list for the current torrent(s)

-g --get all | file-index | files
    Mark file(s) for download. all marks all all of the torrent's files for downloading, file-index adds a single file to the download list, and files adds multiple files to the download list, such as "-g1,3-5" to add files #1, #3, #4, and #5 to the download list.

-G --no-get all | file-index | files
    Mark file(s) for not downloading.

-gsr --global-seedratio ratio
    All torrents, unless overridden by a per-torrent setting, should seed until a specific ratio

-GSR --no-global-seedratio
    All torrents, unless overridden by a per-torrent setting, should seed regardless of ratio

-h --help
    Print command-line option descriptions.

-i --info id | torrent-hash
    Show details of the current torrent(s)

-si --session-info
    List session information from the server

-st --session-stats
    List statistical information from the server

-l --list
    List all torrents

-m --portmap
    Enable portmapping via NAT-PMP or UPnP

-M --no-portmap
    Disable portmapping

-n --auth username:password
    Set the username and password for authentication

-N --netrc filename
    Set the authentication information from a netrc file. See netrc(5) for more information.

-o --dht
    Enable distributed hash table (DHT).

-O --no-dht
    Disable distribued hash table (DHT).

-p --port port
    Set the port for use when listening for incoming peer connections

-pn --priority-normal all | file-index | files
    Mark file(s) as normal priority. all marks all of the torrent's files as normal priority, file-index sets a single file's priority as normal, and files sets multiple files' priorities as normal, such as "-pn1,3-5" to normalize files #1, #3, #4, and #5.

-ph --priority-high all | file-index | files
    Mark file(s) as high priority.

-pl --priority-low all | file-index | files
    Mark file(s) as low priority.

-pr --peers number
    Set the current torrent(s)' maximum number of peers

-gpr --global-peers number
    Set the maximum number of peers allowed globally

-r --remove
    Remove the current torrent(s). This does not delete the downloaded data.

--remove-and-delete
    Remove the current torrent(s) and delete their downloaded data.

--move
    Move the current torrents' data from their current locations to the specified directory.

--find
    Tell Transmission where to look for the current torrents' data.

-sr --seedratio ratio
    Let the current torrent(s) seed until a specific ratio

-SR --no-seedratio
    Let the current torrent(s) seed regardless of ratio

-srd --seedratio-default
    Let the current torrent(s) use the global seedratio settings

-s --start
    Start the current torrent(s)

-S --stop
    Stop the current torrent(s) from downloading or seeding

-t --torrent all | id | torrent-hash
    Set the current torrent(s) for use by subsequent options. all will apply following requests to all torrents, while specific torrents can be chosen by id or hash. To set more than one current torrent, join their ids together in a list, such as "-t2,4,6-8" to operate on the torrents whose IDs are 2, 4, 6, 7, and 8.

-td --torrent-downlimit limit
    Limit the current torrent(s) download speed to limit kilobytes per second.

-TD --no-torrent-downlimit
    Don't use the current torrent(s) download limit.

-tu --torrent-uplimit limit
    Limit the current torrent(s) upload speed to limit kilobytes per second.

-TU --no-torrent-uplimit
    Don't use the current torrent(s) upload limit.

-hl --honor-session
    Make the current torrent(s) honor the session limits.

-HL --no-honor-session
    Make the current torrent(s) not honor the session limits.

-u --uplimit limit
    Limit the global upload speed to limit kilobytes per second.

-U --no-uplimit
    Remove the global upload limit.

-v --verify
    Verify the current torrent(s)

-V --version
    Show version number and exit

-w --download-dir directory
    Use directory as the default location for newly added torrents to download files to.

-x --pex
    Enable peer exchange (PEX).

-X --no-pex
    Disable peer exchange (PEX).

-pi --peer-info
    List the current torrent's connected peers. In the `status' section of the list, the following shorthand is used:
        D: Downloading from this peer
        d: We would download from this peer if they would let us
        E: Encrypted connection
        I: Peer is an incoming connection
        K: Peer has unchoked us, but we're not interested
        O: Optimistic unchoked
        U: Uploading to peer
        u: We would upload to this peer if they asked
        X: Peer was discovered through Peer Exchange (PEX)
        ?: We unchoked this peer, but they're not interested

EXAMPLES
Set download and upload limits to 400 KiB/sec and 60 KiB/sec:

    $ transmission-remote -d400 -u60
    $ transmission-remote --downlimit=400 --uplimit=60

Set alternate download and upload limits to 100 KiB/sec and 20 KiB/sec:

    $ transmission-remote -asd100 -asu20
    $ transmission-remote --alt-speed-downlimit=100 --alt-speed-uplimit=20

Set the scheduler to use the alternate speed limits on weekdays between 10AM and 11PM

    $ transmission-remote --alt-speed-time-begin=1000
    $ transmission-remote --alt-speed-time-end=2300
    $ transmission-remote --alt-speed-days=1-5
    $ transmission-remote --alt-speed-scheduler

List all torrents' IDs and states:

    $ transmission-remote -l

List all torrents from a remote session that requires authentication:

    $ transmission-remote host:9091 --auth=username:password -l

Start all torrents:

    $ transmission-remote -tall --start

Add two torrents:

    $ transmission-remote -a one.torrent two.torrent

Add all torrents in ~/Desktop:

    $ transmission-remote -a ~/Desktop/*torrent

Get detailed information on the torrent whose ID is '1':

    $ transmission-remote -t1 -i

Get a list of a torrent's files:

    $ transmission-remote -t1 -f

Download only its second and fourth files:

    $ transmission-remote -t1 -Gall -g2,4

Set all torrents' first two files' priorities to high:

    $ transmission-remote -tall -ph1,2

Set all torrents' files' priorities to normal:

    $ transmission-remote -tall -pnall

AUTHORS
-nosplit Charles Kerr, Josh Elsasser, Eric Petit, and Mitchell Livingston.

SEE ALSO
transmissioncli(1), transmission-daemon(1), transmission(1)

http://www.transmissionbt.com/